package cz.muni.fi.pv168.graves;

import java.util.Collection;

/**
 * This class represents a grave.
 *
 * @author Eva Kucirkova (eva.k@mail.muni.cz)
 */
public class Grave {

    private Long id;
    private int row;
    private int column;
    private int capacity;
    private String note;

    private Collection<Body> bodies ;

    public int getCapacity() {
        return capacity;
    }

    public void setCapacity(int capacity) {
        this.capacity = capacity;
    }

    public int getColumn() {
        return column;
    }

    public void setColumn(int column) {
        this.column = column;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public int getRow() {
        return row;
    }

    public void setRow(int row) {
        this.row = row;
    }

    public Collection<Body> getBodies() {
        return bodies;
    }

    public void setBodies(Collection<Body> bodies) {
        this.bodies = bodies;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Grave other = (Grave) obj;
        if (this.id != other.id && (this.id == null || !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 83 * hash + (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }


}
